import { getTaOrgIssueId } from "@/services/taorgissue";
import { Cell, CellGroup, Steps } from "@antmjs/vantui";
import { View } from "@tarojs/components";
import React, { useEffect, useState } from "react";
import dayjs from "dayjs";
import styles from "../index.module.less";

export default (props) => {
  const { id } = props;
  const [steps, setSteps] = useState([]);

  useEffect(() => {
    if (id) {
      getTaOrgIssueId(id).then((res) => {
        console.log(res);
        const data = res.map((x) => {
          return { ...x, text: x.orgName };
        });
        setSteps(data);
      });
    }
  }, [id]);

  return (
    <CellGroup style={{ marginTop: "20px" }}>
      <Cell title="交办历史" />

      <View className={styles["page_order"]}>
        {(steps || []).map((x) => {
          return (
            <View key={x.orgIssueId} className={styles["org_order"]}>
              <View>单位：{x.orgName}</View>
              <View>
                时间：{dayjs(x.createDate).format("YYYY-MM-DD HH:mm:ss")}
              </View>
            </View>
          );
        })}
      </View>
    </CellGroup>
  );
};
