
/**
 * 创建一个带有超时功能的Promise
 * @param {*} fn 
 * @param {*} timeout 
 * @returns 
 */
export function promise(fn, timeout = 3000) {
  return new Promise((resolve, reject) => {
    const timer = setTimeout(() => {
      clearTimeout(timer);
      reject(new Error('Promise timeout'));
    }, timeout);

    fn(resolve, reject);
  });
}
